The wl_touch interface

## Data Structures

struct | wl_touch_listener

## Macros

#define | WL_TOUCH_DOWN_SINCE_VERSION 1
#define | WL_TOUCH_UP_SINCE_VERSION 1
#define | WL_TOUCH_MOTION_SINCE_VERSION 1
#define | WL_TOUCH_FRAME_SINCE_VERSION 1
#define | WL_TOUCH_CANCEL_SINCE_VERSION 1
#define | WL_TOUCH_SHAPE_SINCE_VERSION 6
#define | WL_TOUCH_ORIENTATION_SINCE_VERSION 6
#define | WL_TOUCH_RELEASE_SINCE_VERSION 3

## Functions

static int | wl_touch_add_listener (struct wl_touch *wl_touch, const struct wl_touch_listener *listener, void *data)
static void | wl_touch_set_user_data (struct wl_touch *wl_touch, void *user_data)
static void * | wl_touch_get_user_data (struct wl_touch *wl_touch)
static void | wl_touch_destroy (struct wl_touch *wl_touch)
static void | wl_touch_release (struct wl_touch *wl_touch)

## Detailed Description

The wl_touch interface represents a touchscreen associated with a seat.

Touch interactions can consist of one or more contacts. For each contact, a series of events is generated, starting with a down event, followed by zero or more motion events, and ending with an up event. Events relating to the same contact point can be identified by the ID of the sequence.

## Macro Definition Documentation

## WL_TOUCH_CANCEL_SINCE_VERSION

#define WL_TOUCH_CANCEL_SINCE_VERSION 1

Definition at line 4886 of file wayland-client-protocol.h.

## WL_TOUCH_DOWN_SINCE_VERSION

#define WL_TOUCH_DOWN_SINCE_VERSION 1

Definition at line 4870 of file wayland-client-protocol.h.

## WL_TOUCH_FRAME_SINCE_VERSION

#define WL_TOUCH_FRAME_SINCE_VERSION 1

Definition at line 4882 of file wayland-client-protocol.h.

## WL_TOUCH_MOTION_SINCE_VERSION

#define WL_TOUCH_MOTION_SINCE_VERSION 1

Definition at line 4878 of file wayland-client-protocol.h.

## WL_TOUCH_ORIENTATION_SINCE_VERSION

#define WL_TOUCH_ORIENTATION_SINCE_VERSION 6

Definition at line 4894 of file wayland-client-protocol.h.

## WL_TOUCH_RELEASE_SINCE_VERSION

#define WL_TOUCH_RELEASE_SINCE_VERSION 3

Definition at line 4899 of file wayland-client-protocol.h.

## WL_TOUCH_SHAPE_SINCE_VERSION

#define WL_TOUCH_SHAPE_SINCE_VERSION 6

Definition at line 4890 of file wayland-client-protocol.h.

## WL_TOUCH_UP_SINCE_VERSION

#define WL_TOUCH_UP_SINCE_VERSION 1

Definition at line 4874 of file wayland-client-protocol.h.

## Function Documentation

## wl_touch_add_listener()

static int wl_touch_add_listener | ( | struct wl_touch * | wl_touch,
|  | const struct wl_touch_listener * | listener,
|  | void * | data
| ) |  |

inline static

Definition at line 4858 of file wayland-client-protocol.h.

{
return wl_proxy_add_listener((struct wl_proxy *) wl_touch,
(void (**)(void)) listener, data);
}
data
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * data
Definition: SDL_opengl.h:1974

## wl_touch_destroy()

static void wl_touch_destroy | ( | struct wl_touch * | wl_touch | ) |

inline static

Definition at line 4923 of file wayland-client-protocol.h.

{
wl_proxy_destroy((struct wl_proxy *) wl_touch);
}

## wl_touch_get_user_data()

static void* wl_touch_get_user_data | ( | struct wl_touch * | wl_touch | ) |

inline static

Definition at line 4910 of file wayland-client-protocol.h.

{
return wl_proxy_get_user_data((struct wl_proxy *) wl_touch);
}

## wl_touch_release()

static void wl_touch_release | ( | struct wl_touch * | wl_touch | ) |

inline static

Definition at line 4932 of file wayland-client-protocol.h.

References WL_TOUCH_RELEASE.

{
wl_proxy_marshal((struct wl_proxy *) wl_touch,
WL_TOUCH_RELEASE);
wl_proxy_destroy((struct wl_proxy *) wl_touch);
}
WL_TOUCH_RELEASE
#define WL_TOUCH_RELEASE
Definition: wayland-client-protocol.h:4865

## wl_touch_set_user_data()

static void wl_touch_set_user_data | ( | struct wl_touch * | wl_touch,
|  | void * | user_data
| ) |  |

inline static

Definition at line 4903 of file wayland-client-protocol.h.

{
wl_proxy_set_user_data((struct wl_proxy *) wl_touch, user_data);
}